RubyGems Navigation menu

demand 1.1.1

Return a variable if it's present (and optionally of the right type), otherwise a default or nil. Adds a top level demand() method, which replaces long lines of repetitive code to check for nil?/present?/empty?, etc., hard-to-read ternary operators (?:) and if statements. A block can also be specified, which only runs (with the variable) if the checks pass.

Versions:

  1. 1.1.1 - September 26, 2019 (5.5 KB)
  2. 1.1.0 - January 16, 2019 (8.5 KB)
  3. 1.0.0 - January 08, 2019 (8 KB)

Runtime Dependencies (1):

  • boolean ~> 1.0
  • Development Dependencies (7):

    Owners:

    Pushed by:

    Authors:

    • Convincible

    SHA 256 checksum:

    11dd43525f41feac43e3bf9dbd919caeddb90164a1f488b25b0dfaad929d9028

    Total downloads 2,842

    For this version 1,364

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    Licenses:

    N/A

    Required Ruby Version: >= 2.5.0

    Links: